com.amazonaws.services.codedeploy.model

## Class AlarmConfiguration

- java.lang.Object
- - com.amazonaws.services.codedeploy.model.AlarmConfiguration

All Implemented Interfaces:
  Serializable, Cloneable

    public class AlarmConfiguration
    extends Object
    implements Serializable, Cloneable

Information about alarms associated with the deployment group.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`AlarmConfiguration()`

### Method Summary

All Methods Instance Methods Concrete Methods
`AlarmConfiguration` `clone()`
`boolean` `equals(Object obj)`
`List<Alarm>` `getAlarms()` A list of alarms configured for the deployment group.
`Boolean` `getEnabled()` Indicates whether the alarm configuration is enabled.
`Boolean` `getIgnorePollAlarmFailure()` Indicates whether a deployment should continue if information about the current state of alarms cannot be retrieved from Amazon CloudWatch.
`int` `hashCode()`
`Boolean` `isEnabled()` Indicates whether the alarm configuration is enabled.
`Boolean` `isIgnorePollAlarmFailure()` Indicates whether a deployment should continue if information about the current state of alarms cannot be retrieved from Amazon CloudWatch.
`void` `setAlarms(Collection<Alarm> alarms)` A list of alarms configured for the deployment group.
`void` `setEnabled(Boolean enabled)` Indicates whether the alarm configuration is enabled.
`void` `setIgnorePollAlarmFailure(Boolean ignorePollAlarmFailure)` Indicates whether a deployment should continue if information about the current state of alarms cannot be retrieved from Amazon CloudWatch.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`AlarmConfiguration` `withAlarms(Alarm... alarms)` A list of alarms configured for the deployment group.
`AlarmConfiguration` `withAlarms(Collection<Alarm> alarms)` A list of alarms configured for the deployment group.
`AlarmConfiguration` `withEnabled(Boolean enabled)` Indicates whether the alarm configuration is enabled.
`AlarmConfiguration` `withIgnorePollAlarmFailure(Boolean ignorePollAlarmFailure)` Indicates whether a deployment should continue if information about the current state of alarms cannot be retrieved from Amazon CloudWatch.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AlarmConfiguration

    public AlarmConfiguration()

### Method Detail

#### setEnabled

    public void setEnabled(Boolean enabled)

Indicates whether the alarm configuration is enabled.

Parameters:
  `enabled` - Indicates whether the alarm configuration is enabled.

#### getEnabled

    public Boolean getEnabled()

Indicates whether the alarm configuration is enabled.

Returns:
  Indicates whether the alarm configuration is enabled.

#### withEnabled

    public AlarmConfiguration withEnabled(Boolean enabled)

Indicates whether the alarm configuration is enabled.

Parameters:
  `enabled` - Indicates whether the alarm configuration is enabled.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### isEnabled

    public Boolean isEnabled()

Indicates whether the alarm configuration is enabled.

Returns:
  Indicates whether the alarm configuration is enabled.

#### setIgnorePollAlarmFailure

    public void setIgnorePollAlarmFailure(Boolean ignorePollAlarmFailure)

Indicates whether a deployment should continue if information about the current state of alarms cannot be retrieved from Amazon CloudWatch. The default value is false.

- true: The deployment will proceed even if alarm status information can't be retrieved from Amazon CloudWatch.

- false: The deployment will stop if alarm status information can't be retrieved from Amazon CloudWatch.

Parameters:
  `ignorePollAlarmFailure` - Indicates whether a deployment should continue if information about the current state of alarms cannot be retrieved from Amazon CloudWatch. The default value is false.

  - true: The deployment will proceed even if alarm status information can't be retrieved from Amazon CloudWatch.

  - false: The deployment will stop if alarm status information can't be retrieved from Amazon CloudWatch.

#### getIgnorePollAlarmFailure

    public Boolean getIgnorePollAlarmFailure()

Indicates whether a deployment should continue if information about the current state of alarms cannot be retrieved from Amazon CloudWatch. The default value is false.

- true: The deployment will proceed even if alarm status information can't be retrieved from Amazon CloudWatch.

- false: The deployment will stop if alarm status information can't be retrieved from Amazon CloudWatch.

Returns:
  Indicates whether a deployment should continue if information about the current state of alarms cannot be retrieved from Amazon CloudWatch. The default value is false.

  - true: The deployment will proceed even if alarm status information can't be retrieved from Amazon CloudWatch.

  - false: The deployment will stop if alarm status information can't be retrieved from Amazon CloudWatch.

#### withIgnorePollAlarmFailure

    public AlarmConfiguration withIgnorePollAlarmFailure(Boolean ignorePollAlarmFailure)

Indicates whether a deployment should continue if information about the current state of alarms cannot be retrieved from Amazon CloudWatch. The default value is false.

- true: The deployment will proceed even if alarm status information can't be retrieved from Amazon CloudWatch.

- false: The deployment will stop if alarm status information can't be retrieved from Amazon CloudWatch.

Parameters:
  `ignorePollAlarmFailure` - Indicates whether a deployment should continue if information about the current state of alarms cannot be retrieved from Amazon CloudWatch. The default value is false.

  - true: The deployment will proceed even if alarm status information can't be retrieved from Amazon CloudWatch.

  - false: The deployment will stop if alarm status information can't be retrieved from Amazon CloudWatch.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### isIgnorePollAlarmFailure

    public Boolean isIgnorePollAlarmFailure()

Indicates whether a deployment should continue if information about the current state of alarms cannot be retrieved from Amazon CloudWatch. The default value is false.

- true: The deployment will proceed even if alarm status information can't be retrieved from Amazon CloudWatch.

- false: The deployment will stop if alarm status information can't be retrieved from Amazon CloudWatch.

Returns:
  Indicates whether a deployment should continue if information about the current state of alarms cannot be retrieved from Amazon CloudWatch. The default value is false.

  - true: The deployment will proceed even if alarm status information can't be retrieved from Amazon CloudWatch.

  - false: The deployment will stop if alarm status information can't be retrieved from Amazon CloudWatch.

#### getAlarms

    public List<Alarm> getAlarms()

A list of alarms configured for the deployment group. A maximum of 10 alarms can be added to a deployment group.

Returns:
  A list of alarms configured for the deployment group. A maximum of 10 alarms can be added to a deployment group.

#### setAlarms

    public void setAlarms(Collection<Alarm> alarms)

A list of alarms configured for the deployment group. A maximum of 10 alarms can be added to a deployment group.

Parameters:
  `alarms` - A list of alarms configured for the deployment group. A maximum of 10 alarms can be added to a deployment group.

#### withAlarms

    public AlarmConfiguration withAlarms(Alarm... alarms)

A list of alarms configured for the deployment group. A maximum of 10 alarms can be added to a deployment group.

NOTE: This method appends the values to the existing list (if any). Use `setAlarms(java.util.Collection)` or `withAlarms(java.util.Collection)` if you want to override the existing values.

Parameters:
  `alarms` - A list of alarms configured for the deployment group. A maximum of 10 alarms can be added to a deployment group.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withAlarms

    public AlarmConfiguration withAlarms(Collection<Alarm> alarms)

A list of alarms configured for the deployment group. A maximum of 10 alarms can be added to a deployment group.

Parameters:
  `alarms` - A list of alarms configured for the deployment group. A maximum of 10 alarms can be added to a deployment group.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public AlarmConfiguration clone()

Overrides:
  `clone` in class `Object`